<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateRenovacionPagare extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('renovacion_pagare')
			->addColumn('pagare', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('insoluto', 'double', ['null' => false, 'signed' => false])
			->addColumn('intereses', 'double', ['null' => false, 'signed' => false])
			->addColumn('tasa', 'double', ['null' => false, 'signed' => false])
			->addColumn('fecha', 'date', ['null' => false])
			->addColumn('fecha_banco', 'date', ['null' => false])
			->addColumn('uf', 'double', ['default' => 0, 'null' => false])
			->addColumn('duracion', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addForeignKey('pagare', 'pagare', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
